# Correct Course - Sprint Change Management Workflow
name: "correct-course"
description: "Navigate significant changes during sprint execution by analyzing impact, proposing solutions, and routing for implementation"
author: "BMad Method"

config_source: "{project-root}/bmad/bmm/config.yaml"
output_folder: "{config_source}:output_folder"
user_name: "{config_source}:user_name"
date: system-generated

installed_path: "{project-root}/bmad/bmm/workflows/4-implementation/correct-course"
template: false
instructions: "{installed_path}/instructions.md"
validation: "{installed_path}/checklist.md"

mode: interactive

required_inputs:
  - change_trigger: "Description of the issue or change that triggered this workflow"
  - project_documents: "Access to PRD, Epics/Stories, Architecture, UI/UX specs"

output_artifacts:
  - sprint_change_proposal: "Comprehensive proposal documenting issue, impact, and recommended changes"
  - artifact_edits: "Specific before/after edits for affected documents"
  - handoff_plan: "Clear routing for implementation based on change scope"

halt_conditions:
  - "Change trigger unclear or undefined"
  - "Core project documents unavailable"
  - "Impact analysis incomplete"
  - "User approval not obtained"

execution_modes:
  - incremental: "Recommended - Refine each edit with user collaboration"
  - batch: "Present all changes at once for review"
